import React from 'react';
import Slider from 'react-slick';
import 'slick-carousel/slick/slick.css';
import 'slick-carousel/slick/slick-theme.css';
import './carousalStyle.css';
 
const CarousalComponent = ({ data }) => {
  const settings = {
    dots: true,
    infinite: true,
    speed: 500,
    slidesToShow: 3,
    slidesToScroll: 1,
    responsive: [
      {
        breakpoint: 1024,
        settings: {
          slidesToShow: 2,
          slidesToScroll: 1,
          infinite: true,
          dots: true,
        },
      },
      {
        breakpoint: 768,
        settings: {
          slidesToShow: 1,
          slidesToScroll: 1,
        },
      },
    ],
  };
 
  return (
    <div className='container main'>
    <Slider {...settings}>
      {data.map((item) => (
        <div key={item.id} className="carousel-slide">
          <h3>{item.title}</h3>
          <img className="carousel-image" src={item.imageUrl} alt={item.title} />
          <p>{item.description}</p>
          <button className="btn btn-outline-dark" onClick={() => console.log(`Button clicked for ${item.title}`)}>Click Me</button>
        </div>
      ))}
    </Slider>
  </div>
  );
};
 
export default CarousalComponent;
 